## FolksSimpleQuery

FolksSimpleQuery — A simple text-based contact query.

## Types and Values

#define | FOLKS_TYPE_SIMPLE_QUERY
struct | FolksSimpleQuery
struct | FolksSimpleQueryClass

## Description

This is a generic implementation of the FolksQuery interface which supports general UI-style search use cases. It implements case-insensitive prefix matching, with transliteration of accents and other non-ASCII characters to improve matching against accented characters. It also normalises phone numbers to make matches invariant to hyphenation and spacing in phone numbers.

See also: FolksSearchView

## Functions

## Types and Values

### FOLKS_TYPE_SIMPLE_QUERY

    #define FOLKS_TYPE_SIMPLE_QUERY (folks_simple_query_get_type ())

The type for FolksSimpleQuery.

### struct FolksSimpleQuery

    struct FolksSimpleQuery {
    	FolksQuery parent_instance;
    	FolksSimpleQueryPrivate * priv;
    };

A simple text-based contact query.

This is a generic implementation of the FolksQuery interface which supports general UI-style search use cases. It implements case-insensitive prefix matching, with transliteration of accents and other non-ASCII characters to improve matching against accented characters. It also normalises phone numbers to make matches invariant to hyphenation and spacing in phone numbers.

See also: FolksSearchView

Since: 0.11.0

### struct FolksSimpleQueryClass

    struct FolksSimpleQueryClass {
    	FolksQueryClass parent_class;
    };

The class structure for `FOLKS_TYPE_SIMPLE_QUERY`. All the fields in this structure are private and should never be accessed directly.

#### Members